﻿@model List<DraftPortalView>

@{
    //Permisos para la Sales Draft
    bool _ViewSalesDraft = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.SalesDraft.ToDescriptionString() && c.InternalKey == Enums.Actions.View.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _UpdateDraft = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.SalesDraft.ToDescriptionString() && c.InternalKey == Enums.Actions.Update.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    //Permisos para la Sales Quotation
    bool _UpdateSalesQuotation = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.SalesQuotation.ToDescriptionString() && c.InternalKey == Enums.Actions.Update.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _AddSalesQuotation = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.SalesQuotation.ToDescriptionString() && c.InternalKey == Enums.Actions.Add.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _ViewSalesQuotation = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.SalesQuotation.ToDescriptionString() && c.InternalKey == Enums.Actions.View.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    //Permisos para la Sales Order
    bool _UpdateSalesOrder = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.SalesOrder.ToDescriptionString() && c.InternalKey == Enums.Actions.Update.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _AddSalesOrder = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.SalesOrder.ToDescriptionString() && c.InternalKey == Enums.Actions.Add.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _ViewSalesOrder = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.SalesOrder.ToDescriptionString() && c.InternalKey == Enums.Actions.View.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    //Permisos para la Sales Invoice
    bool _UpdateSalesInvoice = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.SalesInvoice.ToDescriptionString() && c.InternalKey == Enums.Actions.Update.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _ViewSalesInvoice = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.SalesInvoice.ToDescriptionString() && c.InternalKey == Enums.Actions.View.ToDescriptionString()).FirstOrDefault() != null ? true : false;
}

<div class="panel panel-default">
    <div class="panel-heading clearfix">
        <i class="icon-calendar"></i>
        <h3 class="panel-title">@Drafts.DDL</h3>
    </div>
   
    <div class="panel-body">

        <div class="table-responsive">
            <table class="table table-striped">
                @if (Model.Count > 0)
                {
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>@Drafts.PD</th>
                            <th>@PurchaseOrders.VC</th>
                            <th>@PurchaseOrders.VN</th>
                            <th>@Drafts.AS</th>
                            <th>@Drafts.DT</th>
                            <th>@Drafts.DS</th>
                            <th>&nbsp;</th>
                            <th>&nbsp;</th>
                            <th>&nbsp;</th>
                            <th>Total</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach (DraftPortalView item in Model)
                        {
                        <tr>
                            <td>@item.DocEntry</td>
                            <td>@((item.DocDate != null && item.DocDate != DateTime.MinValue) ? item.DocDate.ToString().AsDateTime().ToShortDateString() : "")</td>
                            <td>@item.CardCode</td>
                            <td>@item.CardName</td>
                            @switch (item.OWDDStatus)
                            {
                                case "W":
                                    <td>@Approval.Pending</td>
                                    break;
                                case "Y":
                                    <td>@Approval.Approved</td>
                                    break;
                                case "N":
                                    <td>@Approval.Rejected</td>
                                    break;
                                case "P":
                                    <td>@Approval.Generated</td>
                                    break;
                                case "A":
                                    <td>@Approval.GBA</td>
                                    break;
                                case "C":
                                    <td>@Approval.Canceled</td>
                                    break;
                                default:
                                    <td>@Approval.OOTAP</td>
                                    break;
                            }
                            @switch (item.ObjType)
                            {
                                case "17":
                                    <td>@SaleOrders.SO</td>
                                    if (item.DocStatus == "C") //aca puede estar cerrado el draft o el documento, en cualquiera de los 2 cosas solo tengo que hacer el view
                                    {
                                        <td>@Drafts.Close</td>
                                        <td>
                                            <button type="button" id="HistoryButton" onclick="GetHistory('@item.DocNum',@(item.OWDDObjType != null ? item.OWDDObjType : item.ObjType))" class="btn btn-primary btn-xs" data-toggle="modal" data-target="#HistoryModal"><span class="glyphicon glyphicon-eye-open"></span>@Approval.VH</button>
                                        </td>
                                        <td>
                                            @if (_ViewSalesOrder)
                                            {
                                                <a href='@Url.Action("ActionPurchaseOrder", "SalesOrder", new { @ActionPurchaseOrder = "View", @IdPO = item.DocEntry, @fromController = "MyDocuments" })' class="btn btn-primary btn-xs">
                                                    <span class="glyphicon glyphicon-eye-open"></span>&nbsp;@PurchaseOrders.View
                                                </a>
                                            }
                                        </td>

                                    }
                                    else
                                    {
                                        if (!string.IsNullOrEmpty(item.SODocStatus))
                                        { //si esta seteada esta variable es un draft y como entro al else esta abierto
                                            <td>@Drafts.Open</td>
                                            <td>
                                                <button type="button" id="HistoryButton" onclick="GetHistory('@item.DocEntry',@item.OWDDObjType)" class="btn btn-primary btn-xs" data-toggle="modal" data-target="#HistoryModal"><span class="glyphicon glyphicon-eye-open"></span>@Approval.VH</button>
                                            </td>
                                            <td>
                                                @if (_ViewSalesDraft)
                                                {
                                                    <a href='@Url.Action("ActionPurchaseOrder", "SalesOrder", new { @ActionPurchaseOrder = "ViewDraft", @IdPO = item.DocEntry, @fromController = "MyDocuments" })' class="btn btn-primary btn-xs">
                                                        <span class="glyphicon glyphicon-eye-open"></span>&nbsp;@PurchaseOrders.View
                                                    </a>
                                                }
                                            </td>
                                        }
                                        else //es un documento en vez de un draft y esta abierto
                                        {
                                            <td>@Drafts.Open</td>
                                            <td>
                                                @*Aca le pongo el gethistory con el objtype en vez del owddobjtype porque como no es un draft el servicio no setea dicha variable*@
                                                <button type="button" id="HistoryButton" onclick="GetHistory('@item.DocEntry',@item.ObjType)" class="btn btn-primary btn-xs" data-toggle="modal" data-target="#HistoryModal"><span class="glyphicon glyphicon-eye-open"></span>@Approval.VH</button>
                                            </td>
                                            <td>
                                                @if (_ViewSalesOrder)
                                                {
                                                    <a href='@Url.Action("ActionPurchaseOrder", "SalesOrder", new { @ActionPurchaseOrder = "View", @IdPO = item.DocEntry, @fromController = "MyDocuments" })' class="btn btn-primary btn-xs">
                                                        <span class="glyphicon glyphicon-eye-open"></span>&nbsp;@PurchaseOrders.View
                                                    </a>
                                                }
                                                @if (_UpdateSalesOrder)
                                                {
                                                    <a href='@Url.Action("ActionPurchaseOrder", "SalesOrder", new { @ActionPurchaseOrder = "Update", @IdPO = item.DocEntry, @fromController = "MyDocuments" })' class="btn btn-primary btn-xs">
                                                        <span class="glyphicon glyphicon-circle-arrow-right"></span>&nbsp;@PurchaseOrders.Edit
                                                    </a>
                                                }
                                            </td>
                                        }
                                    }
                                    break;
                                case "23":
                                    <td>@SaleQuotations.SQ</td>
                                    if (item.DocStatus == "C") //aca puede estar cerrado el draft o el documento, en cualquiera de los 2 cosas solo tengo que hacer el view
                                    {
                                        <td>@Drafts.Close</td>
                                        <td>
                                            <button type="button" id="HistoryButton" onclick="GetHistory('@item.DocNum',@(item.OWDDObjType != null ? item.OWDDObjType : item.ObjType))" class="btn btn-primary btn-xs" data-toggle="modal" data-target="#HistoryModal"><span class="glyphicon glyphicon-eye-open"></span>@Approval.VH</button>
                                        </td>
                                        <td>
                                            @if (_ViewSalesQuotation)
                                            {
                                                <a href='@Url.Action("ActionPurchaseOrder", "SalesQuotation", new { @ActionPurchaseOrder = "View", @IdPO = item.DocEntry, @fromController = "MyDocuments" })' class="btn btn-primary btn-xs">
                                                    <span class="glyphicon glyphicon-eye-open"></span>&nbsp;@PurchaseOrders.View
                                                </a>
                                            }
                                        </td>

                                    }
                                    else
                                    {
                                        if (!string.IsNullOrEmpty(item.SQDocStatus))
                                        { //si esta seteada esta variable es un draft y como entro al else esta abierto
                                            <td>@Drafts.Open</td>
                                            <td>
                                                <button type="button" id="HistoryButton" onclick="GetHistory('@item.DocEntry',@item.OWDDObjType)" class="btn btn-primary btn-xs" data-toggle="modal" data-target="#HistoryModal"><span class="glyphicon glyphicon-eye-open"></span>@Approval.VH</button>
                                            </td>
                                            <td>
                                                @if (_ViewSalesDraft)
                                                {
                                                    <a href='@Url.Action("ActionPurchaseOrder", "SalesQuotation", new { @ActionPurchaseOrder = "ViewDraft", @IdPO = item.DocEntry, @fromController = "MyDocuments" })' class="btn btn-primary btn-xs">
                                                        <span class="glyphicon glyphicon-eye-open"></span>&nbsp;@PurchaseOrders.View
                                                    </a>
                                                }
                                            </td>
                                        }
                                        else //es un documento en vez de un draft y esta abierto
                                        {
                                            <td>@Drafts.Open</td>
                                            <td>
                                                @*Aca le pongo el gethistory con el objtype en vez del owddobjtype porque como no es un draft el servicio no setea dicha variable*@
                                                <button type="button" id="HistoryButton" onclick="GetHistory('@item.DocEntry',@item.ObjType)" class="btn btn-primary btn-xs" data-toggle="modal" data-target="#HistoryModal"><span class="glyphicon glyphicon-eye-open"></span>@Approval.VH</button>
                                            </td>
                                            <td>
                                                @if (_ViewSalesQuotation)
                                                {
                                                    <a href='@Url.Action("ActionPurchaseOrder", "SalesQuotation", new { @ActionPurchaseOrder = "View", @IdPO = item.DocEntry, @fromController = "MyDocuments" })' class="btn btn-primary btn-xs">
                                                        <span class="glyphicon glyphicon-eye-open"></span>&nbsp;@PurchaseOrders.View
                                                    </a>
                                                }
                                                @if (_UpdateSalesQuotation)
                                                {
                                                    <a href='@Url.Action("ActionPurchaseOrder", "SalesQuotation", new { @ActionPurchaseOrder = "Update", @IdPO = item.DocEntry, @fromController = "MyDocuments" })' class="btn btn-primary btn-xs">
                                                        <span class="glyphicon glyphicon-eye-open"></span>&nbsp;@PurchaseOrders.Edit
                                                    </a>
                                                }
                                            </td>
                                        }
                                    }
                                    break;
                                case "13":
                                    <td>@SalesInvoices.SI</td>
                                    if (item.DocStatus == "C") //aca puede estar cerrado el draft o el documento, en cualquiera de los 2 cosas solo tengo que hacer el view
                                    {
                                        <td>@Drafts.Close</td>
                                        <td>
                                            <button type="button" id="HistoryButton" onclick="GetHistory('@item.DocNum',@(item.OWDDObjType != null ? item.OWDDObjType : item.ObjType))" class="btn btn-primary btn-xs" data-toggle="modal" data-target="#HistoryModal"><span class="glyphicon glyphicon-eye-open"></span>@Approval.VH</button>
                                        </td>
                                        <td>
                                            @if (_ViewSalesInvoice)
                                            {
                                                <a href='@Url.Action("ActionSalesInvoice", "SalesInvoice", new { @ActionSalesInvoice = "View", @IdSI = item.DocEntry, @fromController = "MyDocuments" })' class="btn btn-primary btn-xs">
                                                    <span class="glyphicon glyphicon-eye-open"></span>&nbsp;@PurchaseOrders.View
                                                </a>
                                            }
                                        </td>

                                    }
                                    else
                                    {
                                        if (!string.IsNullOrEmpty(item.SODocStatus))
                                        { //si esta seteada esta variable es un draft y como entro al else esta abierto
                                            <td>@Drafts.Open</td>
                                            <td>
                                                <button type="button" id="HistoryButton" onclick="GetHistory('@item.DocEntry',@item.OWDDObjType)" class="btn btn-primary btn-xs" data-toggle="modal" data-target="#HistoryModal"><span class="glyphicon glyphicon-eye-open"></span>@Approval.VH</button>
                                            </td>
                                            <td>
                                                @if (_ViewSalesDraft)
                                                {
                                                    <a href='@Url.Action("ActionSalesInvoice", "SalesInvoice", new { @ActionSalesInvoice = "ViewDraft", @IdSI = item.DocEntry, @fromController = "MyDocuments" })' class="btn btn-primary btn-xs">
                                                        <span class="glyphicon glyphicon-eye-open"></span>&nbsp;@PurchaseOrders.View
                                                    </a>
                                                }
                                            </td>
                                        }
                                        else //es un documento en vez de un draft y esta abierto
                                        {
                                            <td>@Drafts.Open</td>
                                            <td>
                                                @*Aca le pongo el gethistory con el objtype en vez del owddobjtype porque como no es un draft el servicio no setea dicha variable*@
                                                <button type="button" id="HistoryButton" onclick="GetHistory('@item.DocEntry',@item.ObjType)" class="btn btn-primary btn-xs" data-toggle="modal" data-target="#HistoryModal"><span class="glyphicon glyphicon-eye-open"></span>@Approval.VH</button>
                                            </td>
                                            <td>
                                                @if (_ViewSalesInvoice)
                                                {
                                                    <a href='@Url.Action("ActionSalesInvoice", "SalesInvoice", new { @ActionSalesInvoice = "View", @IdSI = item.DocEntry, @fromController = "MyDocuments" })' class="btn btn-primary btn-xs">
                                                        <span class="glyphicon glyphicon-eye-open"></span>&nbsp;@PurchaseOrders.View
                                                    </a>
                                                }
                                                @if (_UpdateSalesInvoice)
                                                {
                                                    <a href='@Url.Action("ActionSalesInvoice", "SalesInvoice", new { @ActionSalesInvoice = "Update", @IdSI = item.DocEntry, @fromController = "MyDocuments" })' class="btn btn-primary btn-xs">
                                                        <span class="glyphicon glyphicon-eye-open"></span>&nbsp;@PurchaseOrders.Edit
                                                    </a>
                                                }
                                            </td>
                                        }
                                    }
                                    break;
                                default:
                                    break;
                            }
                            @if (item.WddStatus == "Y")
                            {
                                <td>
                                    @if (_UpdateDraft)
                                    {
                                        <button type="button" onclick="CreateDocument('@item.DocEntry')" class="btn btn-primary btn-xs" data-toggle="modal" data-target="#ApproveModal"><span class="glyphicon glyphicon-search"></span>@Drafts.CD</button>
                                    }
                                </td>
                            }
                            else
                            {
                                <td>&nbsp;</td>
                            }
                            <td align="right">@(item.DocTotal != null ? Math.Round((decimal)item.DocTotal, 2) : 0)</td>                            
                            
                        </tr>
                        }
                        <tr>
                            <td colspan="8" align="right">Total Amount</td>
                            <td align="right">
                                @{
                                    DraftPortalView dpv = Model.Where(c => c.ObjType == "17").GroupBy(p => p.ObjType).Select(t => new DraftPortalView() { DocTotal = t.Sum(s => s.DocTotal) }).FirstOrDefault();
                                }
                                @(dpv != null ? Math.Round((decimal)dpv.DocTotal, 2) : 0)
                            </td>

                        </tr>
                    </tbody>
                }
                else
                {
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>@Drafts.PD</th>
                            <th>@Drafts.AS</th>
                            <th>@Drafts.DT</th>
                            <th>@Drafts.DS</th>
                            <th>&nbsp;</th>
                            <th>&nbsp;</th>
                            <th>&nbsp;</th>
                            <th>Order Total Amount</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td colspan="9">@PurchaseOrders.NDTD</td>
                        </tr>
                    </tbody>
                }
            </table>
        </div>

    </div>

</div>

<div class="but_blok_footer">
    <div class="btn-group pull-right dropup">
        <button type="button" class="btn btn-success btn-lg dropdown-toggle" data-toggle="dropdown" aria-expanded="false">@Drafts.AddDocument <span class="caret"></span></button>
        <ul class="dropdown-menu" role="menu">
            @if (_AddSalesQuotation)
            {
                <li><a href="@Url.Action("ActionPurchaseOrder", "SalesQuotation", new { @ActionPurchaseOrder = "Add", @IdPO = 0, @fromController = "MyDocuments" })">@SaleQuotations.SQ</a></li>
            }
            @if (_AddSalesOrder)
            {
                <li><a href="@Url.Action("ActionPurchaseOrder", "SalesOrder", new { @ActionPurchaseOrder = "Add", @IdPO = 0, @fromController = "MyDocuments" })">@SaleOrders.SO</a></li>
            }
        </ul>
    </div>
</div>